Improve layout of ArticleFeedback tool (it is too big!)
Closed, DeclinedPublic


Some people have suggested[1][2] that the rating box is too big.

Please consider if this can be improved somehow.

[1] [[Wikipedia:Village_pump_(technical)/Archive_90#Article_Rating_appears_immediately_after_creation.3F]]

Version: unspecified
Severity: normal
Whiteboard: wikimedia[unmaintained]

bzimport set Reference to bz29303.
He7d3r created this task.Via LegacyJun 7 2011, 9:01 PM
He7d3r added a comment.Via ConduitJun 8 2011, 12:53 PM

(In reply to comment #0)


PS: For some reason buzilla doesn't create the link above correctly: the ")" in the end should be part of the URL.

TheDJ added a comment.Via ConduitJul 20 2011, 11:04 PM

Created attachment 8812
Screenshot of 'collapsed' mode.

Obvious choice to me would seem to be: Make it collapsible, but default to uncollapsed, just as the "inter language links" in the sidebar.


bzimport added a comment.Via ConduitAug 12 2011, 6:44 PM wrote:

It really is far larger than it needs to be. There's tons of whitespace taken up by the tool. Either it needs to be collapsed by default, or it needs to be scaled down to at least half the current size. I'm tempted to turn it off in my preferences solely because of its intrusive size.

He7d3r added a comment.Via ConduitSep 16 2011, 4:35 PM

Created attachment 9066
Proposal for more concise "Rate this page" display

I'm attaching a copy of
[[Image:Wikipedia Article Feedback Tool -- proposed image with popup.png]]
(by [[commons:User:Article Feedback]]) which was pointed out on
[[mw:Thread:Talk:Article feedback/Next steps on AFT/reply (9)]]
and seems appropriate to be mentioned on this bug.


Eloquence added a comment.Via ConduitSep 23 2011, 1:59 AM

To be sure, I agree that it's taking up more space than is necessary, especially given the currently still very limited actual functionality. Thanks for thinking about alternative UIs.

The reason that we haven't pushed harder on this front is that we're most interested in making the tool more powerful and exploring some radically different ideas with it (specifically, free-text commenting and meta-moderation of those comments to promote high-quality feedback to the talk page). We're currently in the final stage of selecting a vendor do this development work.

But if anyone would like to tackle some UI improvements, with additional mock-ups or directly in the code, I'd encourage you to take a crack at it, and we'll try to help.

Note that there are specific reasons related to the purpose of the tool (article assessment) for the current interaction flow.

  1. The "View ratings" feature is deliberately decoupled from the rating flow in order to minimize biasing effects on raters. Raters shouldn't see the results without choosing to do so, and they should be able to choose to see them independently of rating.
  1. The "I am knowledgeable" is integrated into the flow, prior to the submit button, to ensure that raters understand it as part of their submission.

Those design requirements should be taken into account when making UI changes.

We also need to be careful with lower screen resolutions, resized windows, etc. And, of course, even if we change the layout, we need to be careful not to cram too many controls into a very narrow space -- it makes it harder to understand which parts of the UI surface are intended to be interacted with, and in which order. Too much whitespace in a UI surface can be annoying -- but too little can make a user interface feel crammed and complicated.

Aklapper added a comment.Via ConduitFeb 26 2014, 11:39 AM

The extension homepage at [[mw:Extension:ArticleFeedback]] says
"This extension has been archived. This extension has not been maintained in some time, and no longer supports recent releases of MediaWiki.
The following other choices are still available: [[mw:Extension:ArticleFeedbackv5]]"

Furthermore, ArticleFeedback (version 4 or earlier) was removed from all Wikimedia wikis in

It is currently unlikely that there will be any further active development of ArticleFeedback (version 4 or earlier).
Closing this report as WONTFIX to reflect reality.
Please feel free to reopen this report in the future if anyone takes the responsibility for active development of ArticleFeedback (version 4 or earlier) again.

Thank you for reporting this bug and we are sorry it could not be fixed.

Add Comment